            #GIT_CMT=35f70e6b1b7ee2711eef5e56879a6a6528be1b4d

%global		_hardened_build 1

Name:		libntirpc
Version:	1.6.3
Release:    2.el7
Vendor:		Oracle America
Summary:	New Transport Independent RPC Library
Group:		System Environment/Libraries
License:	BSD
Url:		https://github.com/nfs-ganesha/ntirpc

Source0: ntirpc-1.6.3.tar.bz2

BuildRequires:	gcc cmake
BuildRequires:	krb5-devel

# libtirpc has /etc/netconfig, most machines probably have it anyway
# for NFS client
Requires:	libtirpc

%description
This package contains a new implementation of the original libtirpc, 
transport-independent RPC (TI-RPC) library for NFS-Ganesha. It has
the following features not found in libtirpc:
 1. Bi-directional operation
 2. Full-duplex operation on the TCP (vc) transport
 3. Thread-safe operating modes
 3.1 new locking primitives and lock callouts (interface change)
 3.2 stateless send/recv on the TCP transport (interface change)
 4. Flexible server integration support
 5. Event channels (remove static arrays of xprt handles, new EPOLL/KEVENT
    integration)

%package devel
Summary:	Development headers for %{name}
Requires:	%{name}%{?_isa} = %{version}

%description devel
Development headers and auxiliary files for developing with %{name}.

%prep
%setup -q -n ntirpc-%{version}

%build
%cmake . -DOVERRIDE_INSTALL_PREFIX=/usr -DTIRPC_EPOLL=1 -DUSE_GSS=ON "-GUnix Makefiles"

make %{?_smp_mflags}

%install
## make install is broken in various ways
## make install DESTDIR=%%{buildroot}
mkdir -p %{buildroot}%{_libdir}/pkgconfig
install -p -m 0755 src/%{name}.so.%{version} %{buildroot}%{_libdir}/
ln -s %{name}.so.%{version} %{buildroot}%{_libdir}/%{name}.so.1
ln -s %{name}.so.%{version} %{buildroot}%{_libdir}/%{name}.so
mkdir -p %{buildroot}%{_includedir}/ntirpc
cp -a ntirpc %{buildroot}%{_includedir}/
install -p -m 644 libntirpc.pc %{buildroot}%{_libdir}/pkgconfig/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{_libdir}/libntirpc.so.*
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc NEWS README

%files devel
%{_libdir}/libntirpc.so
%{_includedir}/ntirpc/
%{_libdir}/pkgconfig/libntirpc.pc

%changelog
* Thu Dec 27 2018 Tiger Yang <tiger.yang@oracle.com> - 1.6.3-2.el7
- set vendor string to "Oracle America" (Tiger Yang)

* Sun Dec 02 2018 Tiger Yang <tiger.yang@oracle.com> - 1.6.3-1.el7
- build 1.6.3-1 for oracle gluster 4.1

* Sun Dec 02 2018 Tiger Yang <tiger.yang@oracle.com> - 1.6.3-1
- Export authnone_create_dummy for error handling in Ganesha
- xdr_ioq: fix memory leak on FreeBSD
- Don't let a newly created xprt be cleaned
- xdr_bytes_decode - only free if we allocated
- Only unlock when we actually locked
- Merge pull request #139 from zhoury14/v1.6
- fix CLSET_VERS/CLSET_PROG in cln_dg clnt_vc clnt_rdma

* Sun Jun 24 2018 Tiger Yang <tiger.yang@oracle.com> - 1.6.2-2
- rebuild for oracle-gluster-4.1

* Thu May 24 2018 Tiger Yang <tiger.yang@oracle.com> - 1.6.2-1
- build 1.6.2 for oracle-gluster-4.0

* Mon Dec 11 2017 Tiger Yang <tiger.yang@oracle.com> - 1.5.3-1
- build 1.5.3 for oracle-gluster-3.12

* Wed Aug 30 2017 Joe Jin <joe.jin@oracle.com> - 1.4.4-1
- ntirpc: update patch level
- XDR and netbuf:  fix decoder overruns from guidovranken

* Thu Apr 13 2017 Joe Jin <joe.jin@oracle.com>  - 1.4.3-1
- Initial version

